<div class="app">

  <aside class="app__sidebar sidebar">
    <header class="sidebar__logo">
      <LinkTo @route="authenticated.sessions.list" type="button">
        <img class="sidebar__logo-image" src="{{this.rootUrl}}/ecriplus-logo-certif.svg" alt="écri+certif">
      </LinkTo>
    </header>

    <nav class="sidebar-menu">
      <ul>
        {{#if this.showLinkToSessions}}
          <li>
            <LinkTo
              @route="authenticated.sessions.list"
              class="sidebar-menu__item"
              type="button"
              aria-label="Sessions de certification"
            >
              <img
                src="{{this.rootURL}}/icons/chevron-square-right.svg"
                alt=""
                role="presentation"
                class="sidebar-menu__item-icon"
              />
              Sessions
            </LinkTo>
          </li>
          <li>
            <LinkTo
              @route="login-session-supervisor"
              class="sidebar-menu__item"
              type="button"
              aria-label="Espace surveillant"
            >
              <FaIcon @icon="eye" class="sidebar-menu__item-icon" />
              Espace surveillant
            </LinkTo>
          </li>
        {{/if}}
        <li>
          <LinkTo @route="authenticated.team" class="sidebar-menu__item" type="button" aria-label="Équipe">
            <FaIcon @icon="users" class="sidebar-menu__item-icon" />
            Équipe
          </LinkTo>
        </li>
         <li>
          <a class="sidebar-menu__item" href="{{this.documentationLink}}" target="_blank" rel="noopener noreferrer">
            <FaIcon @icon="book" class="sidebar-menu__item-icon" />
            Documentation
          </a>
        </li>
      </ul>
    </nav>

  </aside>

  <div class="app__main-content main-content">

    <div class="main-content__topbar topbar">
      <div class="topbar__user-logged-menu"><UserLoggedMenu
          @onCertificationCenterAccessChanged={{this.changeCurrentCertificationCenterAccess}}
        /></div>
    </div>

    {{#if this.showBanner}}
      <PixBanner
        @actionLabel="documentation pour voir les nouveautés."
        @actionUrl="https://cloud.pix.fr/s/GqwW6dFDDrHezfS"
        @canCloseBanner="true"
      >La certification écri+ se déroulera du 14 novembre 2022 au 17 mars 2023 pour les lycées et du 6 mars au 16 juin
        2023 pour les collèges. Pensez à consulter la
      </PixBanner>

    {{/if}}

    <div class="page">
      {{outlet}}
    </div>

    <Layout::Footer />
  </div>

</div>